/**
 * @file
 * Наша кастомная команда, которая отправляет продукт в корзину
 */
(function($) {

  /**
  * Отправляем продукт в корзину
  */
  Drupal.ajax.prototype.commands.product_cart_fly = function(ajax, response, status) {
    var selector = ajax['selector'];

    if(response.type == 'product'){

      // если это страница товара, то выбираем данную картинку
      var img = $(selector).closest('.product-image-description').find('.field-name-field-product-image img');
    }
    else{

      /* 
       * на всех остальных страницах выбираем картинку из контейнера .views-row
       * не на страницах товаров есть только вьюсы с товарами
       */
      var img = $(selector).closest('.views-row').find('.views-field-field-product-image img');
    }
    $(img[0])
      .clone()
      .css({'position' : 'absolute', 'z-index' : '11100', top: $(selector).offset().top-100, left:$(selector).offset().left-50})
      .appendTo("body")
      .animate({opacity: 0.05,
        left: $("#block-commerce-cart-cart").offset()['left'],
        top: $("#block-commerce-cart-cart").offset()['top'],
        width: 20}, 1000, function() {
        $(this).remove();
      });
  }

})(jQuery);